CVE-2017-1000456

Impact:
Moderate
Public Date:
2017-10-05
Bugzilla:
1531382: CVE-2017-1000456 poppler: Invalid read in TextPool::addWord() causes crash and can lead to overflow in subsequent calculations

The MITRE CVE dictionary describes this issue as:

freedesktop.org libpoppler 0.60.1 fails to validate boundaries in TextPool::addWord, leading to overflow in subsequent calculations.

Find out more about CVE-2017-1000456 from the MITRE CVE dictionary dictionary and NIST NVD.

CVSS v3 metrics

NOTE: The following CVSS v3 metrics and score provided are preliminary and subject to review.

CVSS3 Base Score 7.3
CVSS3 Base Metrics CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Low
Integrity Impact Low
Availability Impact Low

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 8 poppler Not affected
Red Hat Enterprise Linux 7 poppler Will not fix
Red Hat Enterprise Linux 6 poppler Will not fix
Red Hat Enterprise Linux 5 poppler Will not fix
Last Modified

CVE description copyright © 2017, The MITRE Corporation